Description: [IMP] add help strings as comments in the generated config file.
 .
 Merge proposal rejected:
 https://code.launchpad.net/~credativ/openobject-server/trunk-comments/+merge/69933
Origin: commit, revision id: dmitrijs.ledkovs@credativ.co.uk-20111124194546-987wg7fr0tlozbob
Author: Dmitrijs Ledkovs (credativ) <dmitrijs.ledkovs@credativ.co.uk>
Last-Update: 2011-11-24
X-Bzr-Revision-Id: dmitrijs.ledkovs@credativ.co.uk-20111124194546-987wg7fr0tlozbob

=== modified file 'bin/tools/config.py'
--- a/bin/tools/config.py
+++ b/bin/tools/config.py
@@ -26,6 +26,7 @@
 import netsvc
 import logging
 import release
+from textwrap import fill
 
 def check_ssl():
     try:
@@ -93,12 +94,12 @@
             'static_http_url_prefix': None,
             'secure_cert_file': 'server.cert',
             'secure_pkey_file': 'server.pkey',
-            'publisher_warranty_url': 'http://services.openerp.com/publisher-warranty/',
+            'publisher_warranty_url': None,
             'osv_memory_count_limit': None, # number of records in each osv_memory virtual table
             'osv_memory_age_limit': 1, # hours
         }
         
-        self.blacklist_for_save = set(["publisher_warranty_url", "load_language"])
+        self.blacklist_for_save = set(["load_language"])
 
         self.misc = {}
         self.config_file = fname
@@ -463,12 +464,36 @@
     def save(self):
         p = ConfigParser.ConfigParser()
         loglevelnames = dict(zip(self._LOGLEVELS.values(), self._LOGLEVELS.keys()))
+        comments = {}
+        defaults = configmanager().options
+        for group in self.parser.option_groups:
+            for option in group.option_list:
+                comments[option.dest] = option.help
+        comments.update({
+            'admin_passwd': 'Set superadmin password',
+            'publisher_warranty_url': """\
+Call-home URL for usage statistics, downloading and injecting data into your \
+database, submitting bug reports for OpenERP support contracts. \
+Upstream Default: 'http://services.openerp.com/publisher-warranty/'
+"""})
+        defaults.update({
+            'admin_passwd':'admin',
+            'publisher_warranty_url': '',
+            })
+
         p.add_section('options')
         for opt in sorted(self.options.keys()):
-            if opt in ('version', 'language', 'translate_out', 'translate_in', 'overwrite_existing_translations', 'init', 'update'):
+            if opt in ('version', 'language', 'translate_out', 'translate_in',
+                       'overwrite_existing_translations', 'init', 'update'):
                 continue
             if opt in self.blacklist_for_save:
                 continue
+            try:
+                p.set('options',
+                      fill(comments[opt] + '; Default',
+                           initial_indent='# ', subsequent_indent='# '),
+                      defaults[opt])
+            except: pass
             if opt in ('log_level', 'assert_exit_level'):
                 p.set('options', opt, loglevelnames.get(self.options[opt], self.options[opt]))
             else:
